﻿body{
    color:black;

}

#ec {
    background-color: white;
    padding: 20px;
    border-radius: 15px;
}

.ec-event {
    border: 0.5px solid gray;
}


.ec-timeline {
    max-height: 65vh;

}

/*.custom-event-content {
    font-size: 12px;
    line-height: 1.4;
    padding: 5px;
    border-radius: 5px;
    color: black;
}*/

.custom-event-content {
    font-size: 11px;
    line-height: 1.4;
    padding: 5px;
    border-radius: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: black;
}

    .custom-event-content div {
        margin-bottom: 2px;
        white-space: nowrap; 
        overflow: hidden; 
        text-overflow: ellipsis;
    }


    .custom-event-content div {
        margin-bottom: 2px;
    }


.ec-times .ec-time:nth-child(2n+1) {
    border-left: 1px solid gray;
}

.ec-day:nth-child(2n+1) {
    border-left: 1px solid gray;
}

.ec ::-webkit-scrollbar-thumb {
    border: 4px solid #0088CC !important;
}

.ec-custom-button {
    font-size: small !important;
}

.ec-button {
    font-size: small !important;
}

.dispatcher-checkbox:checked + label {
    border-bottom: 2px solid #0088CC;
}

.dispatcher-checkbox + label:hover {
    background-color: #e0f0ff;
}

/*HEADER*/
.ec-day-head{
    background-color:white !important;
    font-size:large;
}

.ec-header .ec-day:nth-child(1) {
    background-color: #FFEBEE;
}

.ec-header .ec-day:nth-child(2) {
    background-color: #E3F2FD;
}

.ec-header .ec-day:nth-child(3) {
    background-color: #E8F5E9;
}

.ec-header .ec-day:nth-child(4) {
    background-color: #FFFDE7;
}

.ec-header .ec-day:nth-child(5) {
    background-color: #F3E5F5;
}

.ec-header .ec-day:nth-child(6) {
    background-color: #FFECB3;
}

.ec-header .ec-day:nth-child(7) {
    background-color: #D7CCC8;
}

.ec-header .ec-day:nth-child(8) {
    background-color: #B3E5FC;
}

.ec-header .ec-day:nth-child(9) {
    background-color: #C8E6C9;
}

.ec-header .ec-day:nth-child(10) {
    background-color: #F8BBD0;
}

/*BODY*/
.ec-body .ec-day:nth-child(1) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(2) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(3) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(4) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(5) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(6) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(7) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(8) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(9) {
    border-right: 1px solid black;
}
.ec-body .ec-day:nth-child(10) {
    border-right: 1px solid black;
}


.ec-expander{
    margin-right:10px;
}

.ec-title {
    position: absolute;
    top: 0.6rem;
    right: 5rem;
}

.ec-start {
    position: absolute;
    top: 0.6rem;
    left: 10rem;
}

/*.custom-tooltip {
    position: absolute;
    background: white;*/
/*    border:1px solid black;*/
    /*color: black;
    padding: 8px;
    border-radius: 5px;
    font-size: 12px;
    white-space: normal;
    pointer-events: none;
    z-index: 9999;
}*/

.ec-resource
{
    font-weight:500;
}

.custom-tooltip {
    position: absolute;
    background: #fff;
    border: 1px solid #ddd;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
    color: #333;
    padding: 10px;
    border-radius: 5px;
    font-size: 14px;
    white-space: normal;
    pointer-events: none;
    z-index: 9999;
}

.tooltip-header {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 5px;
    border-bottom: 1px solid #ddd;
    padding-bottom: 5px;
}

.tooltip-body {
    font-size: 14px;
}

    .tooltip-body div {
        margin-bottom: 5px;
    }

.task-operacija-siva {
    background-color: #e7e7e7 !important;
    border: 1px solid #a9a9a9 !important; /* Darker border */
}

.task-operacija-crvena {
    background-color: #FFB3BA !important;
    border: 1px solid #cc7a7a !important; /* Darker border */
}

.task-operacija-zelena {
    background-color: #BAFFC9 !important;
    border: 1px solid #7acc8a !important; /* Darker border */
}

.task-obrada-dokumentacije {
    background-color: #FFDFBA !important; /* Pastel Orange */
    border: 1px solid #cc9a7a !important; /* Darker border */
}

.task-nabavka-materijala {
    background-color: #FFFFBA !important; /* Pastel Yellow */
    border: 1px solid #cccc7a !important; /* Darker border */
}

.task-fakturisanje {
    background-color: #E3BAFF !important; /* Pastel Purple */
    border: 1px solid #9a7acc !important; /* Darker border */
}

.task-arhiviran {
    background-color: white !important; /* Pastel Purple */
    border: 1px solid #b0b0b0 !important; /* Darker border */
}

.task-zatvoren-pogresno-zaveden, .task-zatvoren {
    background-color: rgb(119, 158, 203) !important;
    border: 1px solid #6b8aa3 !important; /* Darker border */
}


.task-error {
    border: 1px solid red !important;
}

.legend {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    width: fit-content;
    margin-right: 1rem;
    font-size: 85%;
}

.legend-item {
    display: flex;
    align-items: center;
    gap: 10px;
}

.legend-color {
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 25px;
}

.form-control-plaintext{
    font-weight:500;
}

/*.auto-resize {
    padding-top: 5px !important;
    min-height: 30px !important;
    height: 0px;
    overflow: hidden;
    resize: none;
}*/

.auto-resize {
    padding-top: 5px !important;
    min-height: 30px !important;
    height: 0px;
    overflow: hidden;
    resize: none;
}

.calendar-warning {
    color: red !important;
    font-size: larger;
}

.phone {
    padding: 3px;
    border: 1px solid black;
    border-radius: 10px;
}

.tooltip-arrow {
    position: absolute;
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
}


.highlight-event {
    background-color: white !important;
    border: 1px solid black !important; /* Darker border */
}


.refresh-btn {
    cursor:pointer;
    padding-left: 10px;
    border-left: 1px solid black;
}


.call-history-container {
    max-height: 400px;
    overflow-y: auto;
    padding: 15px 0;
}

.call-item {
    border-bottom: 1px solid #ddd;
}

.call-icon {
    font-size: 28px;
    color: #4CAF50; /* Call icon color */
    margin-right: 15px;
    flex-shrink: 0;
}

.call-info {
    flex-grow: 1;
}

    .call-info p {
        margin: 5px 0;
 
    }

.phone-number {
    font-weight: bold;
    color: #333;
}

.call-description {
    color: #555;
    font-size: 13px;
}

.call-time {
    color: #888;
    font-size: 12px;
}

.call-user {
    font-size: 12px;
    color: #777;
}
